Get a project
curl --request GET \
--url https://api.eesi.ai/v1/speech/projects/{project} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.eesi.ai/v1/speech/projects/{project}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.eesi.ai/v1/speech/projects/{project}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.eesi.ai/v1/speech/projects/{project}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.eesi.ai/v1/speech/projects/{project}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.eesi.ai/v1/speech/projects/{project}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.eesi.ai/v1/speech/projects/{project}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "e4af92a4-3bf6-467b-95a2-7b04fb610d1c",
"key": "presidential-speeches",
"name": "Presidential speeches",
"speakers": [
{
"id": "3650e649-f065-4da2-832d-ce9dfa62f744",
"number": 1,
"name": "Radio announcer",
"label": "P1",
"clip_count": 1,
"evidence_seconds": 3.5
},
{
"id": "cfb15e2e-5dd2-42b8-bccc-f4f78cae747c",
"number": 2,
"name": "Franklin D. Roosevelt",
"label": "P2",
"clip_count": 4,
"evidence_seconds": 121.3
},
{
"id": "c5b9be33-e08b-4cca-81ad-65387bf33622",
"number": 3,
"name": "John F. Kennedy",
"label": "P3",
"clip_count": 2,
"evidence_seconds": 72
}
],
"runs": [
{
"id": "097e5805-ca84-46a4-addb-69712072b960",
"filename": "JFK at Rice University, 1962.mp3",
"model": "nur-v1",
"duration_seconds": 1060.009,
"created_at": "2026-09-29T03:57:27.411560+00:00",
"segment_count": 182,
"speaker_count": 1,
"word_count": 2239,
"language": "en",
"size_bytes": 16961244,
"transcribe_ms": 23501,
"has_audio": true,
"intelligence_status": "complete",
"preview": "President Pritzker, Mr. Vice President, Governor, Congressman Thomas, Senator Wiley and…"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Projects
Get a project
A project’s people and recordings. number is the person’s
project-wide identity: the same number in every recording, whatever label the
recording itself gave them.
GET
/
v1
/
speech
/
projects
/
{project}
Get a project
curl --request GET \
--url https://api.eesi.ai/v1/speech/projects/{project} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.eesi.ai/v1/speech/projects/{project}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.eesi.ai/v1/speech/projects/{project}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.eesi.ai/v1/speech/projects/{project}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.eesi.ai/v1/speech/projects/{project}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.eesi.ai/v1/speech/projects/{project}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.eesi.ai/v1/speech/projects/{project}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "e4af92a4-3bf6-467b-95a2-7b04fb610d1c",
"key": "presidential-speeches",
"name": "Presidential speeches",
"speakers": [
{
"id": "3650e649-f065-4da2-832d-ce9dfa62f744",
"number": 1,
"name": "Radio announcer",
"label": "P1",
"clip_count": 1,
"evidence_seconds": 3.5
},
{
"id": "cfb15e2e-5dd2-42b8-bccc-f4f78cae747c",
"number": 2,
"name": "Franklin D. Roosevelt",
"label": "P2",
"clip_count": 4,
"evidence_seconds": 121.3
},
{
"id": "c5b9be33-e08b-4cca-81ad-65387bf33622",
"number": 3,
"name": "John F. Kennedy",
"label": "P3",
"clip_count": 2,
"evidence_seconds": 72
}
],
"runs": [
{
"id": "097e5805-ca84-46a4-addb-69712072b960",
"filename": "JFK at Rice University, 1962.mp3",
"model": "nur-v1",
"duration_seconds": 1060.009,
"created_at": "2026-09-29T03:57:27.411560+00:00",
"segment_count": 182,
"speaker_count": 1,
"word_count": 2239,
"language": "en",
"size_bytes": 16961244,
"transcribe_ms": 23501,
"has_audio": true,
"intelligence_status": "complete",
"preview": "President Pritzker, Mr. Vice President, Governor, Congressman Thomas, Senator Wiley and…"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}